| All Verbs | /RestApi/Sitefinity/Analytics/GetMapData | ||
|---|---|---|---|
| All Verbs | /RestApi/GetMapData |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| DashboardId | query | Guid | No | |
| RelatedDashboardId | query | Guid | No | |
| Metrics | query | List<MetricItemDTO> | No | |
| Filter | query | string | No | |
| Dimension | query | Dimension | No | |
| jsStartDate | query | string | No | |
| jsEndDate | query | string | No | |
| SelectedMetric | query | string | No | |
| Region | query | string | No | |
| SiteId | query | Guid | No | |
| StartDate | query | DateTime | No | |
| EndDate | query | DateTime | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| DisplayName | form | string | No | |
| Value | form | double | No | |
| Unit | form | string | No | |
| DenominatorMetricName | form | string | No | |
| NominatorMetricName | form | string | No | |
| ShowInSelector | form | bool | No |
| Browser | |
| BrowserVersion | |
| City | |
| Continent | |
| VisitCount | |
| Country | |
| Date | |
| Day | |
| DaysSinceLastSession | |
| FlashVersion | |
| Hostname | |
| Hour | |
| DeviceCategory | |
| JavaEnabled | |
| Language | |
| Latitude | |
| Longitude | |
| Month | |
| NetworkDomain | |
| NetworkLocation | |
| PageDepth | |
| OperatingSystem | |
| OperatingSystemVersion | |
| Region | |
| ScreenColors | |
| ScreenResolution | |
| SubContinent | |
| UserDefinedValue | |
| UserType | |
| Week | |
| Year | |
| AdContent | |
| AdGroup | |
| AdSlot | |
| Campaign | |
| Keyword | |
| Medium | |
| ReferralPath | |
| Source | |
| ExitPagePath | |
| LandingPagePath | |
| PagePath | |
| PageTitle | |
| Affiliation | |
| DaysToTransaction | |
| ProductCategory | |
| ProductName | |
| ProductSku | |
| TransactionId | |
| SearchCategory | |
| SearchDestinationPage | |
| SearchKeyword | |
| SearchKeywordRefinement | |
| SearchStartPage | |
| SearchUsed | |
| EventCategory | |
| EventAction | |
| EventLabel |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Controls | form | List<DashBoardControl> | No | |
| LayoutTemplateName | form | string | No | |
| GroupBy | form | string | No | |
| MetricNames | form | List<MetricItemDTO> | No | |
| ErrorMessage | form | string | No | |
| NeedsGrouping | form | bool | No | |
| IsDrillDown | form | bool | No | |
| DateItems | form | List<KendoItem> | No | |
| NonDateItems | form | List<KendoItem> | No | |
| TotalsItem | form | KendoItem | No | |
| MapDataTable | form | string[] | No | |
| IsMapRequest | form | bool | No | |
| SeriesSources | form | Dictionary<string, List<String>> | No | |
| StatusCode | form | int | No | |
| SuppressMultipleSeries | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ControlType | form | string | No | |
| attributes | form | Dictionary<string, string> | No | |
| PlaceholderId | form | string | No | |
| DisplayName | form | string | No | |
| Series | form | List<SingleSerie> | No | |
| DimensionName | form | string | No | |
| RelatedDimension | form | List<string> | No | |
| SortbyField | form | string | No | |
| SortAsc | form | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| MainMetric | form | MetricItemDTO | No | |
| CategoryFormat | form | string | No | |
| Batch | form | bool | No | |
| IsCategory | form | bool | No | |
| SeriesName | form | string | No | |
| SeriesDimensions | form | List<DimensionItem> | No | |
| RelatedDimension | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Value | form | string | No | |
| Name | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| category | form | string | No | |
| values | form | Dictionary<string, double> | No | |
| group | form | string | No | |
| tooltip | form | string | No | |
| Dimensions | form | Dictionary<string, string> | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetMapData HTTP/1.1
Host: www.asg.com.au
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'MapDataRequest' using the custom 'other' filter}One or more errors occurred.
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"Controls":[{"ControlType":"String","attributes":{"String":"String"},"PlaceholderId":"String","DisplayName":"String","Series":[{"MainMetric":{"Name":"String","DisplayName":"String","Value":0,"Unit":"String","DenominatorMetricName":"String","NominatorMetricName":"String","ShowInSelector":false},"CategoryFormat":"String","Batch":false,"IsCategory":false,"SeriesName":"String","SeriesDimensions":[{}],"RelatedDimension":"String"}],"DimensionName":"String","RelatedDimension":["String"],"SortbyField":"String","SortAsc":false}],"LayoutTemplateName":"String","GroupBy":"String","MetricNames":[{"Name":"String","DisplayName":"String","Value":0,"Unit":"String","DenominatorMetricName":"String","NominatorMetricName":"String","ShowInSelector":false}],"ErrorMessage":"String","NeedsGrouping":false,"IsDrillDown":false,"DateItems":[{"category":"String","values":{"String":0},"group":"String","tooltip":"String","Dimensions":{"String":"String"}}],"NonDateItems":[{"category":"String","values":{"String":0},"group":"String","tooltip":"String","Dimensions":{"String":"String"}}],"TotalsItem":{"category":"String","values":{"String":0},"group":"String","tooltip":"String","Dimensions":{"String":"String"}},"MapDataTable":[["String"]],"IsMapRequest":false,"SeriesSources":{"String":["String"]},"StatusCode":0,"SuppressMultipleSeries":false}